Raritan PX2/PX3 JSON-RPC API: pdumodel::OutletGroup_1_0_1 Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
pdumodel::OutletGroup_1_0_1 Interface Reference

Main PDU interface. More...

`import"OutletGroup.idl";`

## Classes
struct | MetaData
struct | Sensors
struct | Settings

## Public Member Functions
Sensors | getSensors ()
| Retrieve the PDU sensors. More...
MetaData | getMetaData ()
Settings | getSettings ()
| Retrieve the PDU settings. More...
int | setSettings (in Settings settings)
| Change the PDU settings. More...
int | setAllOutletPowerStates (in Outlet_2_1_5::PowerState pstate)
| Switch all outlets. More...
int | cycleAllOutletPowerStates ()
| Power-cycle all outlets. More...

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
valueobject | SensorsChangedEvent: idl::Event { Sensors oldSensors
| Event: Group sensors have changed. More...
Sensors | newSensors
| Sensors after change.
valueobject | SettingsChangedEvent: event::UserEvent { Settings oldSettings
| Event: Group settings have been changed. More...
Settings | newSettings
| Settings after change.
valueobject | PowerControlEvent: event::UserEvent { Outlet_2_1_5::PowerState state
| Event: Group switch operation has been invoked. More...
boolean | cycle
| Whether a power cycle operation was invoked.

## Detailed Description

Main PDU interface.

## Member Function Documentation

## ◆ cycleAllOutletPowerStates()

int pdumodel::OutletGroup_1_0_1::cycleAllOutletPowerStates | ( |  | ) |

Power-cycle all outlets.

Returns
  0 if OK

## ◆ getSensors()

Sensors pdumodel::OutletGroup_1_0_1::getSensors | ( |  | ) |

Retrieve the PDU sensors.

Returns
  PDU sensors

## ◆ getSettings()

Settings pdumodel::OutletGroup_1_0_1::getSettings | ( |  | ) |

Retrieve the PDU settings.

Returns
  PDU settings

## ◆ setAllOutletPowerStates()

int pdumodel::OutletGroup_1_0_1::setAllOutletPowerStates | ( | in Outlet_2_1_5::PowerState | pstate | ) |

Switch all outlets.

Parameters

  pstate | New power state for all outlets

Returns
  0 if OK

## ◆ setSettings()

int pdumodel::OutletGroup_1_0_1::setSettings | ( | in Settings | settings | ) |

Change the PDU settings.

Parameters

  settings | New PDU settings

Returns
  0 if OK
  1 if any parameters are invalid

## Member Data Documentation

## ◆ PowerControlEvent

valueobject pdumodel::OutletGroup_1_0_1::PowerControlEvent

Event: Group switch operation has been invoked.

Target power state, only valid if not cycling

## ◆ SensorsChangedEvent

valueobject pdumodel::OutletGroup_1_0_1::SensorsChangedEvent

Event: Group sensors have changed.

Sensors before change

## ◆ SettingsChangedEvent

valueobject pdumodel::OutletGroup_1_0_1::SettingsChangedEvent

Event: Group settings have been changed.

Settings before change

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/OutletGroup.idl